# drip-core-c

## DRIP Core C Library

This repository provides a C-code function library for encoding and decoding (packing/unpacking) Open Drone ID messages over DRIP, as the format is defined in the RFC9575, ASTM F3411 Remote ID and the ASD-STAN prEN 4709-002 Direct Remote ID specifications.

Please note that the DRIP specification has been updated during the second half of 2024.
The updated ASTM standards have been published (May 2022).
The code available in this repository is compliant with these updates.

The DRIP code is meant for implementations that will broadcast the Remote ID information via Bluetooth or Wi-Fi.
The ASTM implementation is provided by the opendrone-id organization.