//
// Created by fabio on 9/15/24.
//

#ifndef UTILS_H
#define UTILS_H

#define ASTM_TIMESTAMP_OFFSET 1546300800

#include <stdint.h>
#include <stdlib.h>
#include <time.h>

int hex_string_to_bytes(const char *hex_str, unsigned char *bytes, size_t *bytes_len);
unsigned long long int from_bytes(const unsigned char* bytes, size_t len);
char* to_binary_string_padded(unsigned long long int value, int bit_length);
void cshake128_wrapper(uint8_t *output, const uint8_t *input, size_t inlen);
int compareODIDMessages(const void * p, const void * arg);

#endif //UTILS_H
