//
// Created by fabio on 9/26/24.
//

#ifndef TEST_UTILS_H
#define TEST_UTILS_H

#include <drip.h>

#ifdef __cplusplus
extern "C" {
#endif


DRIP_HostIdentity* DRIP_HostIdentityFromFile(const char* identities_path, const char* identity_name);

// Signing function
void sign_data(
    DRIP_HostIdentity* hi,
    const unsigned char* data,
    size_t data_len,
    unsigned char* signed_data,
    size_t* signed_data_len
);

#ifdef __cplusplus
}
#endif

#endif //TEST_UTILS_H
